# \search

## Summary

Methods
Properties
Constants
index()
tokenize()
strip_markup()
rebuild_invindex()
sort_index()
compare_indexes()
load_invindex()
measure_invindex_load_time()
merge_into_invindex()
delete_entry()
save_invindex()
query_invindex()
extract_context()
highlight_context()
$stop_words
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  modules/feature-search.php
Package
  Default
Class hierarchy
  \search

## Tags

None found

## Properties

### $stop_words

    $stop_words :

#### Type

#

## Tags

None found

## Methods

### index()

    index(  $source)

#### Parameters

| $source |

#

static

## Tags

None found

### tokenize()

    tokenize(  $source)

#### Parameters

| $source |

#

static

## Tags

None found

### strip_markup()

    strip_markup(  $source)

#### Parameters

| $source |

#

static

## Tags

None found

### rebuild_invindex()

    rebuild_invindex(  $output = true)

#### Parameters

| $output |

#

static

## Tags

None found

### sort_index()

    sort_index(  $index)

#### Parameters

| $index |

#

static

## Tags

None found

### compare_indexes()

    compare_indexes(  $oldindex,   $newindex,   $changed,   $removed)

#### Parameters

| $oldindex |
| $newindex |
| $changed |
| $removed |

#

static

## Tags

None found

### load_invindex()

    load_invindex(  $invindex_filename)

#### Parameters

| $invindex_filename |

#

static

## Tags

None found

### measure_invindex_load_time()

    measure_invindex_load_time(  $invindex_filename)

#### Parameters

| $invindex_filename |

#

static

## Tags

None found

### merge_into_invindex()

    merge_into_invindex(  $invindex,   $pageid,   $index,   $removals = array())

#### Parameters

| $invindex |
| $pageid |
| $index |
| $removals |

#

static

## Tags

None found

### delete_entry()

    delete_entry(  $invindex, \number  $pageid)

Deletes the given pageid from the given pageindex.

#### Parameters

| $invindex |
\number | $pageid | The pageid to remove.

#

static

## Tags

None found

### save_invindex()

    save_invindex(  $filename,   $invindex)

#### Parameters

| $filename |
| $invindex |

#

static

## Tags

None found

### query_invindex()

    query_invindex(  $query,   $invindex)

#### Parameters

| $query |
| $invindex |

#

static

## Tags

None found

### extract_context()

    extract_context(  $query,   $source)

#### Parameters

| $query |
| $source |

#

static

## Tags

None found

### highlight_context()

    highlight_context(  $query,   $context)

#### Parameters

| $query |
| $context |

#

static

## Tags

None found

### feature-search.php